LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY top IS 
	PORT(	
		A,B : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
		rd, wr, C : IN STD_LOGIC;	
		dataOut : INOUT STD_LOGIC_VECTOR(7 DOWNTO 0)
	);
END ENTITY top;

ARCHITECTURE arc_top of top IS
	COMPONENT mux2_1
		PORT(
			A, B : IN STD_LOGIC_VECTOR(7 DOWNTO 0 );
			C : IN STD_LOGIC;
			S : OUT STD_LOGIC_VECTOR(7 DOWNTO 0)
		);
	END COMPONENT;

	COMPONENT registre_8b
		PORT(	wr, rd : IN STD_LOGIC;
			dataIn : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
			dataOut : INOUT STD_LOGIC_VECTOR(7 DOWNTO 0)
	);
	END COMPONENT registre_8b;
	SIGNAL tmp : STD_LOGIC_VECTOR(7 DOWNTO 0);
	
BEGIN
	m1 : mux2_1 PORT MAP(A, B, C, tmp);
	reg1 : registre_8b PORT MAP(wr, rd,tmp, dataOut);
	

END ARCHITECTURE;
